Productsup
CDE APIApi referenceManagement

Show all integrator defaults.

Sign in to run requests against the CDE API.
GET
/defaults/integrators/{integratorId}

Authorization

oAuth2AuthCode
AuthorizationBearer <token>

In: header

Path Parameters

integratorId*string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://cde.staging.productsup.com/defaults/integrators/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "message": "Successfully found integrator defaults.",
  "resource": "integrator-defaults",
  "data": {
    "integrator": "019e16f3-989d-7f43-9c44-a75e14ea8186",
    "has-owner": true,
    "owner": "019e16f3-989f-7a6c-8d63-43d283649975",
    "dev-defaults": null,
    "prod-defaults": null
  }
}
{
  "message": "You have to be authorized to access this resource."
}
{
  "message": "Access denied for user."
}
{
  "message": "Integrator does not have defaults saved."
}

How is this guide?